package com.ssj.bean.sys.fx.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;

@Entity
@Table(name="fx_materiel_off_detail")
public class MaterielOffDetail extends BaseEntity {

        private String materielId; //物料id
        private String materielName; //物料名称
        private String materieCode; //物料编码
        private Integer costNum; //耗费数量
        private BigDecimal price; //单价
        private Integer materielFlow; //物料入库流水编号
        private String offId; //主表id
        private Integer type; //1 --物料核销明细 2-物料核销统计(核销同种材料多次入库也只有一条记录)
        private Integer lossNum; //type=2时，记录损耗物料值

        public String getMaterielId() {
            return materielId;
        }

        public void setMaterielId(String materielId) {
            this.materielId = materielId;
        }

        public String getMaterielName() {
            return materielName;
        }

        public void setMaterielName(String materielName) {
            this.materielName = materielName;
        }

        public String getMaterieCode() {
            return materieCode;
        }

        public void setMaterieCode(String materieCode) {
            this.materieCode = materieCode;
        }

        public Integer getCostNum() {
            return costNum;
        }

        public void setCostNum(Integer costNum) {
            this.costNum = costNum;
        }

        public BigDecimal getPrice() {
            return price;
        }

        public void setPrice(BigDecimal price) {
            this.price = price;
        }

        public Integer getMaterielFlow() {
            return materielFlow;
        }

        public void setMaterielFlow(Integer materielFlow) {
            this.materielFlow = materielFlow;
        }

        public String getOffId() {
            return offId;
        }

        public void setOffId(String offId) {
            this.offId = offId;
        }

        public Integer getType() {
            return type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

        public Integer getLossNum() {
            return lossNum;
        }

        public void setLossNum(Integer lossNum) {
            this.lossNum = lossNum;
        }
}
